kio Library: KFileShare Class Reference (kio Library)

| # kio Library API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# KFileShare Class Reference

Common functionality for the file sharing (communication with the backend)

Since:
  3.1.

More...

`#include <kfileshare.h>`

Collaboration diagram for KFileShare:

[legend]
List of all members.

## Public Types
enum | Authorization { NotInitialized, ErrorNotFound, Authorized, UserNotAllowed }
enum | ShareMode { Simple, Advanced }
## Static Public Member Functions
static void | readConfig ()
static void | readShareList ()
static bool | isDirectoryShared (const QString &path)
static Authorization | authorization ()
static QString | findExe (const char *exeName)
static bool | setShared (const QString &path, bool shared)
static bool | sharingEnabled ()
static bool | isRestricted ()
static QString | fileShareGroup ()
static ShareMode | shareMode ()
static bool | sambaEnabled ()
static bool | nfsEnabled ()

## Detailed Description

Common functionality for the file sharing (communication with the backend)

Since:
  3.1.

Definition at line 51 of file kfileshare.h.

## Member Enumeration Documentation

enum KFileShare::ShareMode

| The used share mode. Simple means that the simple sharing dialog is used and users can share only folders from there HOME folder. Advanced means that the advanced sharing dialog is used and users can share any folder. Definition at line 96 of file kfileshare.h.

## Member Function Documentation

void KFileShare::readConfig | ( |  | ) | `[static]`

| Reads the file share configuration file. Definition at line 86 of file kfileshare.cpp. References KConfigBase::readEntry(), and KUserGroup::users(). Referenced by authorization(), fileShareGroup(), isRestricted(), nfsEnabled(), sambaEnabled(), shareMode(), and sharingEnabled().

void KFileShare::readShareList | ( |  | ) | `[static]`

| Reads the list of shared folders. Definition at line 165 of file kfileshare.cpp. References endl(), QString::isEmpty(), kdDebug(), kdError(), KProcIO::readln(), KStaticDeleter< type >::setObject(), and KProcIO::start(). Referenced by KFileSharePropsPlugin::applyChanges(), and isDirectoryShared().

bool KFileShare::isDirectoryShared | ( | const QString & | path | ) | `[static]`

| Call this to know if a directory is currently shared. Definition at line 203 of file kfileshare.cpp. References QString::length(), and readShareList().

KFileShare::Authorization KFileShare::authorization | ( |  | ) | `[static]`

| Call this to know if the current user is authorized to share directories. Definition at line 214 of file kfileshare.cpp. References readConfig().

bool KFileShare::setShared | ( | const QString & | path,
|  | bool | shared
| ) | `[static]`

  | Uses a suid perl script to share the given path with NFS and Samba. Parameters:
  | path | the path to share
  | shared | whether the path should be shared or not
Returns: whether the perl script was successful Definition at line 232 of file kfileshare.cpp. References endl(), KProcess::exitStatus(), QString::isEmpty(), kdDebug(), KProcess::normalExit(), shareMode(), sharingEnabled(), and KProcess::start().

bool KFileShare::sharingEnabled | ( |  | ) | `[static]`

| Returns whether sharing is enabled If this is false, file sharing is disabled and nobody can share files. Definition at line 128 of file kfileshare.cpp. References readConfig(). Referenced by setShared().

bool KFileShare::isRestricted | ( |  | ) | `[static]`

| Returns whether file sharing is restricted. If it is not restricted every user can shar files. If it is restricted only users in the configured file share group can share files. Definition at line 135 of file kfileshare.cpp. References readConfig().

QString KFileShare::fileShareGroup | ( |  | ) | `[static]`

| Returns the group that is used for file sharing. That is, all users in that group are allowed to share files if file sharing is restricted. Definition at line 142 of file kfileshare.cpp. References readConfig().

KFileShare::ShareMode KFileShare::shareMode | ( |  | ) | `[static]`

| Returns the configured share mode. Definition at line 121 of file kfileshare.cpp. References readConfig(). Referenced by setShared().

bool KFileShare::sambaEnabled | ( |  | ) | `[static]`

| Returns whether Samba is enabled. Definition at line 150 of file kfileshare.cpp. References readConfig().

bool KFileShare::nfsEnabled | ( |  | ) | `[static]`

| Returns whether NFS is enabled. Definition at line 157 of file kfileshare.cpp. References readConfig().

The documentation for this class was generated from the following files:

- kfileshare.h
- kfileshare.cpp

This file is part of the documentation for kio Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:24:46 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003